#ifdef __cplusplus
#include <string>
const std::string shader_2d_font_vert = R"("
#version 300 es
precision mediump float;

layout (location = 0) in vec4 vertex;

out vec2 uv;

layout (std140) uniform GlobalMatrices
{
    mat4 projection;
    mat4 ortho;
    mat4 view;
    mat4 pvm;
    mat4 ovm;
};

uniform float z_index;
uniform mat4 transform;

void main()  {
    gl_Position = ovm * transform * vec4(vertex.xy, z_index, 1.0);
    uv = vertex.zw;
}

")";
#endif